package bookExamples.ch26Graphics.component;

import javax.swing.*;
import java.awt.*;

public class CircleComponent
        extends JComponent {

    CircleComponent(int w, int h) {
        setSize(w + 10, h);
    }

    public void paint(Graphics g) {
        setBackground(Color.white);
        getLocation();
        Dimension d = getSize();
        g.drawOval(0, 0, d.width, d.height);
    }

    public static void main(String args[]) {
        ComponentMoveFrame f = new ComponentMoveFrame();
        for (int i = 0; i < 10; i++)
            f.addComponent(new CircleComponent(100, 100));
        f.setVisible(true);
    }

}