package xml.xacml;

/**
 * Copyright 2005, DocJava, Inc.
 * User: dlyon
 * Date: Nov 15, 2005
 * Time: 3:48:51 PM
 */
public class Person {
    private String uid;
    private String pw;
    private String email;

    public String getUid() {
        return uid;
    }
    public boolean equals(Person p){
        return p.uid.equals(uid) && p.pw.equals(pw);
    }
    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getPw() {
        return pw;
    }

    public void setPw(String pw) {
        this.pw = pw;
    }
    public String toString(){
        return "uid="+uid+" pw="+pw+" email="+email;
    }
    public String toXACML(){
        return "<person> \n       <uid>" +
                uid +
                "</uid>\n" +
                "        <password>" +
                pw +
                "</password>\n" +
                "        <email>" +
                email +
                "</email>\n" +
                "</person>\n";
    }
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public static void main(String[] args) {
        Person p = new Person();
        p.setUid("lyon");
        p.setPw("foo");
        p.setEmail("lyon@docjava.com");
        System.out.println(p.toXACML());
    }
}
